Issue 7824

Summary: impossible to insert MATHCAD objects because of missing OLE2 support
Product: Writer Reporter: erikwanta <erikwanta>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: bettina.haberer, issues, rainerbielefeld_ooo_qa, utomo.prawiro
Version: OOo 1.0.1Keywords: oooqa
Target Milestone: ---   
Hardware: PC   
OS: Windows XP   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description erikwanta 2002-09-22 05:59:37 UTC
Adding a mathcad object doesn't seem to work.  It adds it and opens mathcad.  
When mathcad is closed, the object is still blank.

Note that mathCAD 2001 was used.
Comment 1 stefan.baltzer 2003-07-09 12:01:06 UTC
Reassigned to Michael.
Comment 2 michael.ruess 2003-07-09 13:34:22 UTC
Have to see, where to get a MathCad license...
Comment 3 eugenetswong 2003-07-10 18:47:26 UTC
Because this has been reassigned already, I am adding the "oooqa" 
keyword. I won't change the status, though.
Comment 4 Rainer Bielefeld 2003-08-10 10:30:39 UTC
Hi Reporter,

We need som more hints how you try to add a Mathcad- Object (which
Menu?  OLE?).

Are there also problems to insdert with Cntrl-C / Cntrl-V  or some
other "sopecial inserts"

Rainer
Comment 5 Rainer Bielefeld 2003-08-10 10:32:56 UTC
Made Summary more meaningful

Rainer
Comment 6 erikwanta 2003-08-25 04:56:19 UTC
Insert->Object->OLE Object
Create from file
select mathCAD file

I get an object of size 2.5"x1.88".  I am only able to see the upper 
left hand corner of the mathCAD sheet.  If I stretch the object I was 
expecting to be able to see more of the mathCAD sheet, however when I 
stretched vertically, it just made the text in the object bigger 
instead of allowing me so see more of the mathCAD sheet.  
Comment 7 Rainer Bielefeld 2003-08-25 05:27:59 UTC
I will try to get a DEMO version of mathcad for further tests

Rainer
Comment 8 michael.ruess 2003-08-26 10:21:06 UTC
Closed.
Comment 9 stx123 2003-09-02 13:51:25 UTC
Michael, I don't know, that you intended to do with the issue, but 
it's not closed and has a target milestone 1.1RC.
Would you mind to correct this.
Thanks, Stefan
Comment 10 michael.ruess 2003-09-02 14:24:50 UTC
Corrected the target.
Comment 11 utomo99 2003-10-07 10:24:18 UTC
utomo> RainerBielefeld:
Reminder
 ------- Additional Comments From RainerBielefeld 2003-08-24 21:27 PDT
-------

I will try to get a DEMO version of mathcad for further tests

Rainer
Comment 12 Rainer Bielefeld 2003-10-07 18:38:11 UTC
Until now I have got no answer concerning my request for a DEMO, it
simms I will not get it.

Actually I can not help here any more.

Utomo, I know my comments, no further reminders, please!

Rainer
Comment 13 Joost Andrae 2004-01-11 17:25:32 UTC
JA: the issue has been reported for OOo 1.0.1. There have been many enhacements
within OLE since then. It might be useful to get some info from the reporter if
this problem disappeared within the 1.1 version. Resizing the OLE object just
resizes the OLE metafile (this is just a vector graphical representation of the
object). In this case the behaviour is absolutely correct. The question is why
the metafile represents the wrong part of the MathCad document. Doubleclicking
opens the OLE Server application.
JA->MRU: please have a look if we own a MathCad license to get this reproduced.
Comment 14 Rainer Bielefeld 2004-01-19 15:25:31 UTC
Hi Eric, 

tests can go on, I found someone who can help us.

Please attach a little MATHCAD file and a detailled step by step instruction how
to reproduce the problem (please: really list every mouseclick!). 
If additional databases or something like that are required, please attach a
complete folder "C:\test" with all documents in it as a ZIP file here in the
issue. So I will be able to reproduce your problem.

Erik, what is the status of your problem? Does that work with other (Microsoft-)
Applications?

CU

Rainer
Comment 15 Rainer Bielefeld 2004-01-30 14:54:07 UTC
Hi Eric, 

I now also have the possibility to download a demo version of MATHCAD, but befor
we will start further activitiy, you should attach a little testkit, please!

If I will not see any further action as votes, attachments or confirmations, I
will have to close this issue 2004-02-15 as WFM.

Rainer
Comment 16 erikwanta 2004-01-31 01:24:15 UTC
MS Word Procedure:
1.  Open Microsoft Word
2.  Insert->Object
3.  select MathCAD Document
4.  Note how it creates a window where one can enter mathCAD commands.  
Enter 
a:1
b:2
c:a+b
c=

Note how it gives c=3.  Note how one can resize the OLE window and it will just
expand the background (canvas).

OO Procedure:
1.  open swriter
2.  Insert->OLE Object
3.  select further objects (why not display them all?)
4.  select MathCAD Document
5.  Note how it opens mathCAD instead of creating a window in the document as
Word does.  Add the same in the MathCAD window:
a:1
b:2
c:a+b
c=

Note how it gives c=3.

6.  File->Exit and return to untitled.
7.  Note how it displays the mathCad results in a box.  Expand the box.  Note
how it makes the fonts bigger instead of expanding the background of the mathCAD
object.  Double click on the mathCad object.  Enter some more:
f:4
g:5
h:f+g
h=

8.  File->Exit and return to untitled.
9.  Note how you can't see the new additions to the mathCAD object as there is
no way to expand the mathCAD canvas.
---
Erik




Comment 17 michael.ruess 2004-02-02 10:40:30 UTC
There must be somewhere in MathCad a possibility to stretch the visible area of
the object. OOo unfortunately only supports OLE 1.0 standards regarding external
applications. It is not possible to stretch the visible area in OOo while the
object is activated.

MRU->MBA: Will the planned OLE implementation for OO 2.0 also support In-Place
editing for external applications?
Comment 18 Mathias_Bauer 2004-02-06 08:42:21 UTC
Until now this is unclear. It might be too short in time to add this feature
until the planned EA1 release, and then it depends on how strict we will follow
the rule that no feature is allowed to be added afterwards.

IMHO this feature is not an absolute "must-have" feature, but I really would
like to add it.
Comment 19 Rainer Bielefeld 2004-02-24 18:02:56 UTC
Changed Issue Type due to Additional comments from mru Mon Feb 2 02:40:30 2004
and Additional comments from mba Fri Feb 6 00:42:21 -0800 2004 

Rainer
Comment 20 Rainer Bielefeld 2004-02-24 18:04:43 UTC
.
Comment 21 h.ilter 2004-03-05 15:55:52 UTC
HI->MRU: You're already involved in this issue. Decide to pass it to development
or Userex.
Comment 22 michael.ruess 2004-03-09 10:00:05 UTC
MRU->BH: as MBA and myself pointed out, OLE 2.0 functionality must be added to
OOO to support working MathCAD objects.
Comment 23 Rainer Bielefeld 2004-09-19 18:31:39 UTC
Changed TM due to comments from mru Tue Mar 9 03:00:05 -0700 2004 

Rainer
Comment 24 bettina.haberer 2004-11-26 15:59:46 UTC
Reset target milestone as no further features get into OO.o 2.0.
Comment 25 Mathias_Bauer 2006-12-08 13:16:18 UTC
.
Comment 26 bettina.haberer 2008-09-25 11:29:21 UTC
Hi Mathias, what is the current status about a support of OLE 2.0? At least the
OLE content needs to be visible correctly, before implementing in-place editing
of external apps.
Comment 27 Mathias_Bauer 2008-09-25 11:43:12 UTC
Nothing has changed wrt. OLE2 support and it's not very likely that this will
change in the near future. There are many more important things to work on.
Comment 28 Marcus 2017-05-20 11:24:19 UTC
Reset assigne to the default "issues@openoffice.apache.org".
Comment 29 Marcus 2017-05-20 11:25:56 UTC
Reset assigne to the default "issues@openoffice.apache.org".